App\CoreBundle\Entity\TempValue:
  type: entity
  table: tmp_value
  repositoryClass: App\CoreBundle\Repository\TempValueRepository
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    temp_value_name:
      type: string
      length: 255
    temp_value_string:
      type: text
    created_by:
      type: string
      length: 255
      nullable: true
    created_at:
      type: datetime
    updated_at:
      type: datetime
      nullable: true
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue ]
    preUpdate: [ setUpdatedAtValue ]